using Quadarax.Foundation.Core.QMonitor.Attributes;

namespace Quadarax.Foundation.Core.QMonitor.Emit.TestStructures
{
    [MonitoredClass(Caption = "Processes", Description = "Shows current processes status", ViewType = MonItemGeneral.MonViewType.List, TTL = 10000)]
    public class ProcessItem
    {
        [MonitoredProperty(Label = "ProcessId", Description = "Process Id")]
        public long Id { get; set; }
        [MonitoredProperty(Label = "ProcessName", Description = "Process Name")]
        public string Name { get; set; }
        [MonitoredProperty(Label = "ProcessStatus", Description = "Process Status")]
        public string Status { get; set; }
        [MonitoredProperty(Label = "Path", Description = "Process Path")]
        public string Path { get; set; }
    }
}
